Skip to main content
GET
/
project
/
{project_id}
/
audit-log
Search project audit log entries
curl --request GET \
  --url https://api.ubicloud.com/project/{project_id}/audit-log \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "at": "2023-11-07T05:31:56Z",
      "action": "<string>",
      "subject_id": "<string>",
      "object_ids": [
        "<string>"
      ],
      "subject_name": "<string>"
    }
  ],
  "pagination_key": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string
required

ID of the project

Pattern: ^pj[0-9a-hj-km-np-tv-z]{24}$
Example:

"pjkkmx0f2vke4h36nk9cm8v8q0"

Query Parameters

action
string

Filter by action type

end
string

Filter by end_date (shows 3 months prior)

limit
number

Limit the number of returned records (1-1000)

subject
string

Filter by account name/email/ID

object
string

Filter by object ID

pagination_key
string

Key for paginating results

Response

A list of audit log entries

items
object[]
required
pagination_key
string

Key to pass to get next page (only present if additional pages)